package org;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

import org.apache.bsf.BSFManager;

public class CallJythonThroughBSF {

	public static void main(String[] args) {

		  BSFManager manager = new BSFManager ();
		  //Register JPython into the scripting manager.
		  String[] extensions = {"py"};
		  BSFManager.registerScriptingEngine ("jython",
		   "org.apache.bsf.engines.jython.JythonEngine", extensions);

		  try{
			     //Execute an expression.
			     /*Object result = manager.eval ("jython",
	                        "testString", 0, 0, "2+32");
			     System.out.println("eval="+result);*/

		             //Load the script and execute it.
			     String fileName = "./Threads.py";
			     File file = new File(fileName);
			     file.exists();
			     String language = BSFManager.getLangFromFilename(fileName);
			     FileReader fr = new FileReader(fileName);
			     BufferedReader br = new BufferedReader(fr);
			     String line;
			     StringBuffer script = new StringBuffer();
			     while ((line = br.readLine()) != null) {
				   script.append(line).append("\n");
			     }
			     manager.exec(language, fileName, 0, 0, script);
		     }
			  catch (Exception e){
			  System.out.println(""+e);
		     }
	       }

}
